/****** Object:  StoredProcedure [dbo].[P_EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST_GERAR_PENDENCIA_REGIAO_FISCAL_ENVIO_PDV]    Script Date: 07/11/2013 14:02:45 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[P_EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST_GERAR_PENDENCIA_REGIAO_FISCAL_ENVIO_PDV]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[P_EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST_GERAR_PENDENCIA_REGIAO_FISCAL_ENVIO_PDV]
GO
GO
--P_EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST_GERAR_PENDENCIA_REGIAO_FISCAL_ENVIO_PDV 
CREATE PROCEDURE P_EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST_GERAR_PENDENCIA_REGIAO_FISCAL_ENVIO_PDV  @CD_EMP INT=1
AS 
BEGIN	
	DECLARE @CD_REGIAO_FISCAL INT

	SET NOCOUNT ON	 

	UPDATE
		EST_PROD
	SET
		ORIGEM_PRODUTO  =0
	WHERE 
		ORIGEM_PRODUTO IS NULL
		AND CD_EMP =@CD_EMP
	
		DECLARE RsTribRegiaoFiscal CURSOR FAST_FORWARD	FOR	
					SELECT
						CD_REGIAO_FISCAL
					FROM
						PRC_REGIAO_FISCAL


		OPEN RsTribRegiaoFiscal
		FETCH NEXT FROM RsTribRegiaoFiscal INTO  @CD_REGIAO_FISCAL
			
		WHILE @@FETCH_STATUS=0
			BEGIN
				BEGIN							 
					EXEC P_EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST_GERAR_PENDENCIA_ENVIO_PDV @CD_REGIAO_FISCAL
				END
					
				FETCH NEXT FROM RsTribRegiaoFiscal INTO  @CD_REGIAO_FISCAL
			END
			
		CLOSE RsTribRegiaoFiscal;	
		DEALLOCATE RsTribRegiaoFiscal;
END


